document.addEventListener('DOMContentLoaded', function() {
  const hamburgerMenu = document.querySelector('.hamburger-menu');
  const fullscreenMenu = document.querySelector('.fullscreen-menu');
  const siteHeader = document.querySelector('.site-header');

  if (hamburgerMenu && fullscreenMenu && siteHeader) {
    hamburgerMenu.addEventListener('click', function() {
      fullscreenMenu.classList.toggle('active');
    });

    // Functie om de kleur van de hamburger aan te passen op basis van de achtergrondkleur
    function adjustHamburgerColor() {
      const bgColor = getComputedStyle(document.body).backgroundColor;
      const rgb = bgColor.match(/\d+/g);

      if (rgb && rgb.length === 3) {
        const r = parseInt(rgb[0]);
        const g = parseInt(rgb[1]);
        const b = parseInt(rgb[2]);
        const brightness = Math.round(((r * 299) + (g * 587) + (b * 114)) / 1000);

        // Als de achtergrond donker is, zet de hamburger naar wit, anders naar zwart
        const hamburgerSpans = hamburgerMenu.querySelectorAll('span');
        const color = brightness < 128 ? '#fff' : '#000';
        hamburgerSpans.forEach(span => {
          span.style.backgroundColor = color;
        });
      }
    }

    // Pas de kleur aan bij het laden van de pagina
    adjustHamburgerColor();

    // Sluit het volledig schermmenu wanneer er op een menu-item wordt geklikt
    const menuItems = document.querySelectorAll('.menu-content a');
    menuItems.forEach(item => {
      item.addEventListener('click', function() {
        fullscreenMenu.classList.remove('active');
      });
    });

    // Zorg ervoor dat de hamburger zichtbaar blijft na klikken op "Go to Top"
    const scrollToTopButton = document.querySelector('.scroll-to-top');
    if (scrollToTopButton) {
      scrollToTopButton.addEventListener('click', function(event) {
        event.preventDefault(); // Voorkom standaardgedrag
        history.replaceState(null, null, '#home'); // Wijzig alleen de hash in de URL
        window.scrollTo({ top: 0, behavior: 'smooth' }); // Scroll soepel naar boven
        setTimeout(() => {
          adjustHamburgerColor();
        }, 100); // Pas de timeout aan indien nodig
      });
    }

    // Open website op anker #home
    window.onload = function() {
      const homeElement = document.getElementById('home');
      if (homeElement) {
        homeElement.scrollIntoView();
      }
    };
  }
});