<?php
// Enqueue the parent and child theme styles
function astra_child_enqueue_styles() {
    wp_enqueue_style('parent-style', get_template_directory_uri() . '/style.css');
    wp_enqueue_style('child-style', get_stylesheet_directory_uri() . '/style.css', array('parent-style'));
}
add_action('wp_enqueue_scripts', 'astra_child_enqueue_styles');

// Enqueue the custom JavaScript files
function astra_child_enqueue_scripts() {
    wp_enqueue_script('custom-js', get_stylesheet_directory_uri() . '/custom.js', array(), '1.0.0', true);
    wp_enqueue_script('custom-scripts', get_stylesheet_directory_uri() . '/custom-scripts.js', array(), null, true);
}
add_action('wp_enqueue_scripts', 'astra_child_enqueue_scripts');

// Force the admin bar to be displayed below the header
function modify_admin_bar() {
    if (is_admin_bar_showing()) {
        echo '<style>
                body.admin-bar .site-header { top: 32px; }
                #wpadminbar { top: 0; }
              </style>';
    }
}
add_action('wp_head', 'modify_admin_bar');
?>